Bug 1299023 - [DOCS] Document how to set all configuration parameters in ansible hosts file for node and master configs
[DOCS] Document how to set all configuration parameters in ansible hosts file...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On: 1293397 1293413
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 12:35 EST by Ryan Howe
Modified: 2016-07-03 20:47 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1293413
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-01-15 12:35:46 EST
Description of problem:

We need to include details on how to set all configuration parameters for a nodes /etc/origin/node/node-config.yaml and masters /etc/origin/master/master-config.yaml  file. 

Also include example syntax for these settings as seen in our upstream git hub.  

https://github.com/openshift/openshift-ansible/blob/master/inventory/byo/hosts.ose.example







+++ This bug was initially created as a clone of Bug #1293413 +++

+++ This bug was initially created as a clone of Bug #1293397 +++

Description of problem:

Customers who need / wish to set up GC (https://docs.openshift.com/enterprise/3.1/admin_guide/garbage_collection.html) for there environment often run into [0] ([1] is one solution to this). 

Because ansible overwrites or alters the configuration (after GC is configured - directly on the hosts) you loose your GC configuration. 

Version-Release number of selected component (if applicable): 3.1

How reproducible: 100% 

Steps to Reproduce:

1. Passing: openshift_node_kubelet_arguments = [{'image-high-gc-threshold': '90'}, {'image-gc-low-threshold': '80'}] 

Actual results:

This does not seem to be parsable to yaml in the installer. 

Expected results:

This should set the GC configuration based on [2] and [3]. 

Additional info:

[0] https://bugzilla.redhat.com/show_bug.cgi?id=1292961
[1] https://github.com/openshift/openshift-ansible/pull/1095
[2] https://github.com/openshift/openshift-ansible/blob/master/roles/openshift_node/templates/node.yaml.v1.j2#L14-L16
[3] https://github.com/openshift/openshift-ansible/blob/master/roles/openshift_node/tasks/main.yml#L26

--- Additional comment from Andrew Butcher on 2015-12-21 12:26:56 EST ---

Instead of a list, arguments are passed as a dictionary with list values.

openshift_node_kubelet_args={'image-gc-high-threshold': ['90'], 'image-gc-low-threshold': ['80']}

--- Additional comment from Ryan Howe on 2015-12-21 14:05:47 EST ---

We might want to expanded this to point out KubeletArguments are key value pairs that will be passed directly to the Kubelet that match the Kubelet's command line arguments.  These are not migrated or validated, so if you use them they may become invalid. These values override other settings in NodeConfig which may cause invalid configurations [1].

http://kubernetes.io/v1.0/docs/admin/kubelet.html

[1] https://github.com/openshift/origin/blob/master/pkg/cmd/server/api/v1/types.go#L59-L62

--- Additional comment from Andrew Butcher on 2016-01-04 09:41:43 EST ---

Documentation pull request: https://github.com/openshift/openshift-docs/pull/1372

--- Additional comment from Alex Dellapenta on 2016-01-04 15:15:23 EST ---

Merged https://github.com/openshift/openshift-docs/pull/1372, should go out w/ the next weekly OSE publish.

Note You need to log in before you can comment on or make changes to this bug.